Name:           ktoblzcheck-data
Summary:        A library to check account numbers and bank codes of German banks
Version:        20250515
Release:        %mkrel 1
Group:          Office/Finance
License:        LGPLv2+
URL:            https://ktoblzcheck.sourceforge.net
Source:         https://downloads.sourceforge.net/project/ktoblzcheck/%{name}-%{version}.tar.gz
Source1:        download---bankleitzahlen-602592
Source2:        BIC-lijst-NL-2.xlsx
Source3:        bcbankenstamm
Source4:        verzeichnis-der-erreichbaren-zahlungsdienstleister-data.csv
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(openpyxl)

# ease upgrade mga9-> mga10
Conflicts:      ktoblzcheck < 1.59-1

%description
KtoBLZCheck is a library to check account numbers and bank codes of
German banks. Both a library for other programs as well as a short
command-line tool is available. It is possible to check pairs of
account numbers and bank codes (BLZ) of German banks, and to map bank
codes (BLZ) to the clear-text name and location of the bank.

%prep
%autosetup -p1

cp %{SOURCE1} data/blz_$(date '+%Y%m%d').txt
cp %{SOURCE2} data/nl_data.xlsx
cp %{SOURCE3} data/ch_data.txt
cp %{SOURCE4} data/sepa_$(date '+%Y%m%d').txt

%build
%cmake -DENABLE_BANKDATA_DOWNLOAD=OFF \
       -DINSTALL_RAW_BANKDATA_FILE=ON
%cmake_build

%install
%cmake_install

%files
%doc README.md
%{_datadir}/ktoblzcheck/


%changelog
* Tue Jul 22 2025 daviddavid <daviddavid> 20250515-1.mga10
+ Revision: 2258284
- initial package ktoblzcheck-data, moved out from ktoblzcheck

